<?php include("_ayarlar.php"); ?>
<?php include("_fonksiyonlar.php"); ?>
<?php include("_header.php"); ?>

<section class="section">
    <div class="container">

<?php

    $ad = $_POST["ad"];
    $soyad = $_POST["soyad"];
    $eposta = $_POST["eposta"];
    $parola = md5(sha1($_POST["parola"]));
    $dogum_tarihi = $_POST["dogum_tarihi"];
    $dogum_yeri = $_POST["dogum_yeri"];
    $essiz_veri = md5(sha1(uniqid()));

    /* echo "$ad <br>";
    echo "$soyad <br>";
    echo "$eposta <br>";
    echo "$parola <br>";
    echo "$dogum_tarihi <br>";
    echo "$dogum_yeri <br>"; */

    $sql = "INSERT INTO kullanici (ad, soyad, eposta, parola, dogum_tarihi, dogum_yeri, oturum) VALUES ('$ad', '$soyad', '$eposta', '$parola', '$dogum_tarihi', '$dogum_yeri', '$essiz_veri')";

    if($ad != null and $soyad != null and $eposta != null and $parola != null and $dogum_tarihi != null and $dogum_yeri != null){
        $kaydet = $vt->query($sql);
        if ($kaydet) {
            echo '<div class="alert alert-success" role="alert">
                <h4 class="alert-heading">Kayıt başarılı!</h4>
                <p>Platformumuza hoş geldiniz.</p>
                <hr>
                <p class="mb-0">Ana sayfaya yönlendiriliyorsunuz.</p>
            </div>';

            header("Refresh: 3; url=index.php");
        } else {
            echo '<div class="alert alert-danger" role="alert">
                <h4 class="alert-heading">Kayıt başarısız!</h4>
                <p>Lütfen tekrar deneyiniz.</p>
                <hr>
                <p class="mb-0">Üye olma sayfasına yönlendiriliyorsunuz.</p>
            </div>';

            header("Refresh: 3; url=uye-ol.php");
        }
    }
    else{
        echo '<div class="alert alert-danger" role="alert">
                <h4 class="alert-heading">Kayıt başarısız!</h4>
                <p>Lütfen tüm kutucukları doldurunuz</p>
                <hr>
                <p class="mb-0">Üye olma sayfasına yönlendiriliyorsunuz.</p>
            </div>';

            header("Refresh: 3; url=uye-ol.php");
    }  
    

?>